<?php  global $obox_themename, $obox_input_prefix;

/*****************/
/* Theme Details */

$obox_themename = "Ink Drop";
$obox_themeid = "ink-drop";
$obox_productid = "1923";

$obox_presstrendsid = "";

/**********************/
/* Include OCMX files */
$include_folders = array("/ocmx/includes/", "/ocmx/theme-setup/", "/ocmx/widgets/", "/ocmx/front-end/", "/ajax/", "/ocmx/interface/");
include_once (get_template_directory()."/ocmx/folder-class.php");
include_once (get_template_directory()."/ocmx/load-includes.php");

/***********************/
/* Add OCMX Menu Items */

add_action('admin_menu', 'ocmx_add_admin');
function ocmx_add_admin() {
	global $wpdb;

	add_object_page("Theme Options", "Theme Options", "manage_options", basename(__FILE__), "", get_template_directory_uri(). '/ocmx/images/ocmx.png');
	add_submenu_page(basename(__FILE__), "General Options", "General", "manage_options", basename(__FILE__), "ocmx_general_options");
	add_submenu_page(basename(__FILE__), "Typography", "Typography", "manage_options", "ocmx-fonts", "ocmx_font_options");
	add_submenu_page(basename(__FILE__), "Customize Colors", "Customize Colors", "manage_options", "customize.php");
	add_submenu_page(basename(__FILE__), "Help", "Help", "manage_options", "obox-help", "ocmx_welcome_page");
};

function post_background_css( $postid = 0 ){

	// Grab the header image url
	$header_bg_image_file = get_post_meta( $postid , "header_image", true);

	// See if we can match it to a post
	if( '' != $header_bg_image_file ) {
		$header_bg_post_object = get_page_by_title( preg_replace('/\.[^.]+$/', '', basename( $header_bg_image_file ) ) , OBJECT , 'attachment' );
	}

	if( '' != $header_bg_image_file && is_object( $header_bg_post_object ) ) { // Get a resized version of the header image
		if( is_single() || is_page() ) {
			$image_size = 'full';
		} else {
			$image_size = 'large';
		}
		$header_bg_image = wp_get_attachment_image_src( $header_bg_post_object->ID , $image_size );
		$header_bg_image = $header_bg_image[0];
	} elseif ( '' != $header_bg_image_file ) { // If not, just use the full url
		$header_bg_image = $header_bg_image_file;
	} else {
		$header_bg_image = '';
	}

	$header_bg_attributes = get_post_meta( $postid , "header_image_attributes", true);
	$header_cover = get_post_meta( $postid , "header_cover", true);

	$css = '';

	if( '' != $header_bg_image  || !empty( $header_bg_attributes["colour"] ) ) {
		if( '' != $header_bg_image ) { $css .= '
			background-image:  url(' . $header_bg_image . ');'; }
		if( isset( $header_bg_attributes['position'] ) ) { $css .= '
			background-position:' . $header_bg_attributes['position'] . ';'; }
		if( isset( $header_bg_attributes['repeat'] ) ) {$css .= '
			background-repeat:' . $header_bg_attributes['repeat'] . ';'; }
		if( isset( $header_bg_attributes['colour'] ) ) { $css .= '
			background-color:' . $header_bg_attributes['colour'] . ';'; }
		if( isset( $header_bg_attributes['attachment'] ) ) { $css .= '
			background-attachment:' . $header_bg_attributes['attachment'] . ';'; }
		if( isset( $header_cover ) ) { $css .= '
			background-size:' . $header_cover. ';
			-webkit-background-size:' . $header_cover. ';
			-moz-background-size:' . $header_cover. ';'; }

	}
	return $css;
}

function post_title_css( $postid = 0 ){
	$header_title_color = get_post_meta( $postid , "header_title_color", true);
	if( '' != $header_title_color ){
		return 'color: ' . $header_title_color . ' !important;';
	} else {
		return '';
	}
}
if ( ! isset( $content_width ) ) $content_width = 1200;

function ocmx_setup_image_sizes() {
	//image info: (name, width, height, force-crop)
	add_image_size('4-3-large', 980, 735, true);
	add_image_size('4-3-medium', 660, 495, true);
	add_image_size('4-3-medium-nocrop', 660, 495, false);
	add_image_size('3-col', 410);
}

add_action( 'after_setup_theme', 'ocmx_setup_image_sizes' );

/**
 * Filters wp_title to print a neat <title> tag based on what is being viewed.
 *
 * @param string $title Default title text for current view.
 * @param string $sep Optional separator.
 * @return string The filtered title.
 */
function theme_name_wp_title( $title, $sep ) {
	if ( is_feed() ) {
		return $title;
	}

	global $page, $paged;

	// Add the blog name
	$title .= get_bloginfo( 'name', 'display' );

	// Add the blog description for the home/front page.
	$site_description = get_bloginfo( 'description', 'display' );
	if ( $site_description && ( is_home() || is_front_page() ) ) {
		$title .= " $sep $site_description";
	}

	// Add a page number if necessary:
	if ( ( $paged >= 2 || $page >= 2 ) && ! is_404() ) {
		$title .= " $sep " . sprintf( __( 'Page %s', '_s' ), max( $paged, $page ) );
	}

	return $title;
}
add_filter( 'wp_title', 'theme_name_wp_title', 10, 2 );