<?php
$layout = get_option('ocmx_list_page_layout');
$posts_per_page = get_option( 'ocmx_home_portfolio_posts' );
$portfolio_category = get_option( 'ocmx_home_portfolio_categories' );
$pages = $wp_query->max_num_pages;
$order = get_option( 'ocmx_portfolio_post_order' );
$sort = get_option( 'ocmx_portfolio_sort_order' );
$paging = get_option( 'ocmx_home_portfolio_pagination' );
$paged = ( get_query_var('paged') ) ? get_query_var('paged') : 1;
if(isset($paging) && $paging == 'scroll') :
$args = array(
    'post_type' => 'portfolio',
    'orderby' => $order,
    'order' => $sort,
    'posts_per_page' => '-1',
    'post_status' => 'publish',
);
else :
$args = array(
    'post_type' => 'portfolio',
    'orderby' => $order,
    'order' => $sort,
	'paged' => $paged,
    'posts_per_page' => $posts_per_page,
    'post_status' => 'publish',
);
endif;
// If we have set a category then add it to our query, otherwise load the cat list
if(isset($portfolio_category) && $portfolio_category != "0") :
	 $args[ 'tax_query' ] = array(
		array(
			'taxonomy' => 'portfolio-category',
			'field' => 'slug',
			'terms' => $portfolio_category
		)
	);
endif;

// Do the Query
$portfolio = new WP_Query($args); ?>

<?php if( 'show' == get_option('ocmx_portfolio_category_filter' ) ) { ?>
	<div class="category-container">
			<?php get_template_part( 'functions/portfolio-categories' ); ?>
	</div>
<?php } ?>

<div class="grid-wrap">
    <ul id="grid" class="post-list grid swipe-down <?php echo $layout; ?>">
		<?php while ($portfolio->have_posts() ) : $portfolio->the_post();
                    get_template_part("functions/portfolio-list"); ?>
        <?php endwhile; ?>
	</ul>
</div>
<?php if(function_exists("obox_pagination") && $paging != 'scroll') {
    obox_pagination($portfolio->max_num_pages);
} ?>