<?php // Featued post image
$args = array( 'postid' => $post->ID, 'width' => 1000, 'wrap' => 'div', 'wrap_class' => 'post-image fitvid', 'exclude_video' => false, 'resizer' => 'large' );
$image = get_obox_media( $args );

 // Pages must only look for the page settings, and hide certain items by default
if( is_page() ) :
	$options_suffix = '_page';
	$category = "false";
	$post_links = "false";
	$tags = "false";
	$further_reading = "false";
else :
	$options_suffix = '';
	$category = get_option( "ocmx_meta_category" );
	$tags = get_option( "ocmx_meta_tags" );
	$post_links = get_option( "ocmx_meta_post_links" );
endif;

// Setup which post meta to show or hide
$date = get_option( "ocmx_meta_date" . $options_suffix );
$author_link = get_option( "ocmx_meta_author" . $options_suffix );
$comments_link = get_option("ocmx_meta_comments_link");
$author = get_option( "ocmx_meta_author_block" . $options_suffix );
$social = get_option( "ocmx_meta_social" . $options_suffix );
$social_code = get_option( "ocmx_social_tag" );
$header_gradient = get_post_meta( $post->ID , "header_gradient", true);
$title_shadow = get_post_meta( $post->ID , "post_text_shadow", true); ?>

<div class="title-container <?php if( 'yes' ==  $title_shadow ) echo 'has-text-shadow'; ?>">
	<div class="title <?php if( 'no' ==  $header_gradient ) echo 'no-gradient'; ?>">
		<?php if( get_post_type() != 'attachment' && ( $author_link != "false" ) ) { ?>

			<h5 class="post-author">
				<span class="avatar"><?php echo get_avatar( get_the_author_meta('email'), "80" ); ?></span>
				<span class="author_link"><?php the_author_posts_link(); ?></span>
			</h5>

			<?php } //Hide the author unless enabled in Theme Options
				if($category != "false" ){ ?><h3 class="post-category"><?php the_category(", "); ?></h3><?php } ?>
				<a href="#post-content" class="scroll"><h2 class="post-title typography-title"><?php the_title(); ?></h2></a>
			<?php if( $post->post_excerpt != ''  ) { echo '<h3 class="sub-title">' . get_the_excerpt() . '</h3>';} ?>

		<div class="header-meta">
			<?php if($date !="false") {?>
                <div class="post-date">
                    <?php if( $date  != "false" )  { the_time( get_option( 'date_format' ) ); } ?>
                </div>
			<?php } if(!is_page() && $comments_link != "false" ) { ?>
			    <div class="post-meta">
			        <span class="comments-link">
			            <?php if( $comments_link != "false" ){ ?>
			                <a href="#comments" class="comment-count"><i class="fa fa-comments"></i><?php comments_number(__(" 0 Comments","ocmx"), __(" 1 Comment","ocmx"), __( " % Comments","ocmx") );?></a>
			            <?php } ?>
			        </span>
			    </div>
			<?php } //Hide the comment link unless enabled in Theme Options ?>
    	</div>
    </div>
</div>

<div id="post-content" class="copy-container">
	<div class="copy clearfix">
    	<?php if( obox_has_video($post->ID) ){ echo $image; }?>

		<?php the_content(); ?>

		<?php wp_link_pages( array(
				'link_before'	=> '<span>',
				'link_after'	=> '</span>',
				'before'		=> '<p class="inner-post-pagination">' . __('<span>Pages:</span>', 'ocmx'),
				'after'		=> '</p>'
			)); ?>

		<div class="post-meta">
			<?php if( isset( $social_code ) && $social_code !="" ) { ?>
				<div class="social"><?php echo esc_attr( get_option("ocmx_social_tag") ); ?></div>
			<?php } elseif( $social != "false" ) { // Show sharing if enabled in Theme Options
				get_template_part( 'functions/sharing-buttons' );
				} // Show sharing if enabled in Theme Options  ?>
			<?php if( !is_page() && has_tag() && $tags != "false" ) { ?>
				<ul class="tags"><?php the_tags('<li>','</li><li>','</li>'); ?></ul>
			<?php } // Show tags if enabled in Theme Options & post has tags ?>
		</div>
	</div>


	<!-- Begin Author Block -->
	<?php if( $author != "false" ) { ?>
        <div class="author-container">
            <div class="author-content">
                <div class="author-image"><?php echo get_avatar( get_the_author_meta('email'), "100" ); ?></div>
                <div class="author-body">
                    <h3 class="author-name"><?php the_author_posts_link(); ?></h3>
                    <p class="author-bio">
                        <?php the_author_meta('description'); ?>
                    </p>
                </div>
            </div>
        </div>
    <?php } // Show author block if enabled in Theme Options ?>

	<?php if( !is_page() && 'post' == get_post_type() && $post_links !=='false' ) { ?>
		<ul class="next-prev-post-nav">
			<li>
				<?php if ( get_adjacent_post( false, '', true ) ): // if there are older posts ?>
					<small><?php _e('Previous Post', 'ocmx'); ?></small>
					<?php previous_post_link("%link", "%title"); ?>
				<?php else : ?>
					&nbsp;
				<?php endif; ?>
			</li>
			<li>
				<?php if ( get_adjacent_post( false, '', false ) ): // if there are newer posts ?>
					<small><?php _e('Next Post', 'ocmx'); ?></small>
					<?php next_post_link("%link", "%title"); ?>
				<?php else : ?>
					&nbsp;
				<?php endif; ?>
			</li>
		</ul>
	<?php } // if is post ?>
</div>