<!DOCTYPE html>
<html class="no-js" <?php language_attributes(); ?> xmlns:fb="http://ogp.me/ns/fb#">
<head prefix="og: http://ogp.me/ns# object: http://ogp.me/ns/object#">
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<!--Set Viewport for Mobile Devices -->
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<title>
<?php wp_title( '|', true, 'right' );?>
</title>

<!-- Setup OpenGraph support-->
<?php ocmx_open_graph(); ?>

<!-- Favicon -->
<?php if(get_option("ocmx_custom_favicon") != "") : ?>
	<link href="<?php echo esc_url( get_option("ocmx_custom_favicon") ); ?>" rel="icon" type="image/png" />
<?php endif; ?>


<?php if(get_option("ocmx_rss_url")) : ?>
	<link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS Feed" href="<?php echo esc_url( get_option("ocmx_rss_url") ); ?>" />
<?php else : ?>
	<link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS Feed" href="<?php bloginfo('rss2_url'); ?>" />
<?php endif; ?>

<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />

<?php if(get_option("ocmx_typekit") != "") :
	echo esc_js( get_option("ocmx_typekit") );
endif; ?>

<!--[if lt IE 8]>
	   <link rel="stylesheet" type="text/css" href="<?php echo get_template_directory_uri(); ?>/ie.css" media="screen" />
<![endif]-->

<?php
get_template_part( 'functions/post-styles' );

wp_head(); ?>

</head>

<body <?php body_class(''); ?>>
	<?php get_sidebar(); ?>
    <?php $header_image = get_post_meta( "header_image", true); ?>
	<div id="wrapper">
		<div id="header-container" <?php if( !is_home()|| is_tax() || wp_basename( get_page_template() ) == 'portfolio.php' || is_single() || is_page() || is_archive('portfolio-category') || wp_basename( get_page_template() ) == 'blog.php') { echo 'class="header-shrink"'; } ?>>
			<div id="header" class="clearfix">
           		<!--Sidebar Toggle -->
                <a id="menu-drop-button" href="#">
                	<span class="menu-label">
                    <?php if( '' != get_option( 'ocmx_menu_button_label' ) ) {
                        echo esc_attr( get_option( 'ocmx_menu_button_label' ) );
                    } else {
                        _e( 'Contact' , 'ocmx' );
                    } ?>
                    </span>
                    <i class="fa fa-bars fa-2x"></i>
                </a>
				<div class="logo">
					<?php if( get_option("ocmx_custom_logo") !='') { ?>
						<a href="<?php echo home_url(); ?>"><img src="<?php echo esc_url( get_option("ocmx_custom_logo") ); ?>" alt="<?php bloginfo('name'); ?>" /></a>
					<?php } // If ocmx_custom_logo ?>
					<?php if( get_option("ocmx_display_site_title") != "no" ) { ?>
						<h3>
							<a href="<?php echo home_url(); ?>">
								<?php echo strip_tags(bloginfo('name')); ?>
							</a>
						</h3>
					<?php } // If ocmx_display_site_title == yes
					if( is_singular() ) { ?>
						<small class="tagline" style="display: none;"><?php _e( 'You are reading: ' , 'ocmx' ); ?><?php the_title(); ?></small>
					<?php }
					if(get_option("ocmx_display_site_tagline") != "no") { ?>
						<span class="tagline"><?php echo strip_tags(bloginfo('description')); ?></span>
					<?php } // If ocmx_display_site_tagline == yes ?>
				</div>
				<?php $menustyle = get_option("ocmx_menu_style"); ?>
				<?php if($menustyle == "expanded") : ?>
					<div id="navigation-container">
						<?php wp_nav_menu(array(
							'menu' => 'Obox Nav',
							'menu_id' => 'nav',
							'menu_class' => 'expanded clearfix',
							'sort_column' 	=> 'menu_order',
							'theme_location' => 'primary',
							'container' => 'ul',
							'fallback_cb' => FALSE )
						); ?>
					</div>
				<?php endif;  ?>

			</div><!--End header -->


		</div><!--End header-container -->

		<!--Begin Content -->
		<div id="content-container" <?php if( is_single() ) { post_class("clearfix"); } else { echo 'class="clearfix"'; } ?>>