<?php
/********************/
/* Add  options */
function ocmx_load_font_options(){
	global $theme_options, $ocmx_fonts;

	$theme_options["font_options"] = array("elements" =>
			array(
				array("label" => "General", "description" => "", "name" => "ocmx_general_font", "default" => "", "id" => "ocmx_general_font", "input_type" => "font", "elements" => "body"),
				array("label" => "Site Title", "description" => "", "name" => "ocmx_site_title_font", "default" => "", "id" => "ocmx_site_title_font", "input_type" => "font", "elements" => ".logo h3"),
				array("label" => "Navigation", "description" => "", "name" => "ocmx_navigation_font", "default" => "", "id" => "ocmx_navigation_font", "input_type" => "font", "elements" => "ul#nav.expanded li a, .portfolio-categories a, #menu-drop-button"),
				array("label" => "Page Title", "description" => "", "name" => "ocmx_page_title_font", "default" => "", "id" => "ocmx_page_title_font", "input_type" => "font", "elements" => ".title-container .post-title"),
				array("label" => "Post Titles", "description" => "", "name" => "ocmx_post_titles_font", "default" => "", "id" => "ocmx_post_titles_font", "input_type" => "font", "elements" => ".post-list .post-title"),
				array("label" => "Author Meta", "description" => "", "name" => "ocmx_post_meta_font", "default" => "", "id" => "ocmx_post_meta_font", "input_type" => "font", "elements" => ".title-container .post-author .author_link, .author-content .author-name"),
				array("label" => "Post Meta", "description" => "", "name" => "ocmx_post_copy_font", "default" => "", "id" => "ocmx_post_copy_font", "input_type" => "font", "elements" => ".next-prev-post-nav a"),
				array("label" => "Secondary Headings", "description" => "", "name" => "ocmx_widget_titles_font", "default" => "", "id" => "ocmx_widget_titles_font", "input_type" => "font", "elements" => ".widgettitle, #respond #reply-title, .related-posts-title")
			)
		);

	if(!isset($style))
		$style = "";

	$ocmx_fonts = array(
		array("label" => "(Theme Default)", "css" => get_option("ocmx_post_".$style."_font_style_default"), "type" => ""),
		array("label" => "Sans-Serif Default", "css" => "Arial, Helvetica, sans-serif", "type" => "Sans Serif"),
		array("label" => "Serif Default", "css" => "Georgia, Times New Roman, serif", "type" => "Serif"),
		array("label" => "Allerta", "css" => "Allerta", "type" => "Serif", "stylesheetlink" => "//fonts.googleapis.com/css?family=Allerta&subset=latin"),
		array("label" => "Algreya SC", "css" => "Algreya SC", "type" => "Serif", "stylesheetlink" =>"//fonts.googleapis.com/css?family=Alegreya+SC:400,700"),
		array("label" => "Arvo", "css" => "Arvo", "type" => "Serif", "stylesheetlink" => "//fonts.googleapis.com/css?family=Arvo:regular,italic,bold,bolditalic&subset=latin"),
		array("label" => "Cardo", "css" => "Cardo", "type" => "Serif", "stylesheetlink" => "//fonts.googleapis.com/css?family=Cardo&subset=latin"),
		array("label" => "Droid Sans", "css" => "Droid Sans", "type" => "Serif", "stylesheetlink" => "//fonts.googleapis.com/css?family=Droid+Sans:regular,bold&subset=latin"),
		array("label" => "Caesar Dressing", "css" => "Caesar Dressing", "type" => "Serif", "stylesheetlink" => "//fonts.googleapis.com/css?family=Caesar+Dressing"),
		array("label" => "Droid Serif", "css" => "Droid Serif", "type" => "Serif", "stylesheetlink" => "//fonts.googleapis.com/css?family=Droid+Serif:regular,italic,bold,bolditalic&subset=latin"),	
		array("label" => "Droid Sans Mono", "css" => "Droid Sans Mono", "type" => "Serif", "stylesheetlink" => "//fonts.googleapis.com/css?family=Droid+Sans+Mono&subset=latin"),
		array("label" => "Dancing Script", "css" => "Dancing Script", "type" => "Serif", "stylesheetlink" => "//fonts.googleapis.com/css?family=Dancing+Script&subset=latin"),
		array("label" => "Geo", "css" => "Geo", "type" => "Serif", "stylesheetlink" => "//fonts.googleapis.com/css?family=Geo&subset=latin"),
		array("label" => "Iceland", "css" => "Iceland", "type" => "Serif", "stylesheetlink" => "//fonts.googleapis.com/css?family=Iceland"),
		array("label" => "Josefin Sans", "css" => "Josefin Sans", "type" => "Serif", "stylesheetlink" => "//fonts.googleapis.com/css?family=Josefin+Sans:100,100italic,light,lightitalic,regular,regularitalic,600,600italic,bold,bolditalic&subset=latin"),
		array("label" => "Josefin Slab", "css" => "Josefin Slab", "type" => "Serif", "stylesheetlink" => "//fonts.googleapis.com/css?family=Josefin+Slab:100,100italic,light,lightitalic,regular,regularitalic,600,600italic,bold,bolditalic&subset=latin"),
		array("label" => "Judson", "css" => "Judson", "type" => "Serif", "stylesheetlink" => "//fonts.googleapis.com/css?family=Judson:400,700"),
		array("label" => "Khand (intl)", "css" => "Khand", "type" => "Serif", "stylesheetlink" => "//fonts.googleapis.com/css?family=Khand:400,600&subset=latin,latin-ext,cyrillic,devanagari,greek,vietnamese"),
		array("label" => "Lato", "css" => "Lato", "type" => "Serif", "stylesheetlink" => "//fonts.googleapis.com/css?family=Lato:400,700"),	
		array("label" => "Maiden Orange", "css" => "Maiden Orange", "type" => "Serif", "stylesheetlink" => "//fonts.googleapis.com/css?family=Maiden+Orange"),
		array("label" => "Nobile", "css" => "Nobile", "type" => "Serif", "stylesheetlink" => "//fonts.googleapis.com/css?family=Nobile:regular,italic,bold,bolditalic&subset=latin"),
		array("label" => "Norican", "css" => "Norican", "type" => "Serif", "stylesheetlink" => "//fonts.googleapis.com/css?family=Norican"),
		array("label" => "Old Standard TT", "css" => "Old Standard TT", "type" => "Serif", "stylesheetlink" => "//fonts.googleapis.com/css?family=Old+Standard+TT:regular,italic,bold&subset=latin"),
		array("label" => "Open Sans", "css" => "Open Sans", "type" => "Serif", "stylesheetlink" => "//fonts.googleapis.com/css?family=Open+Sans:400,700,800"),
		array("label" => "PT Sans", "css" => "PT Sans", "type" => "Serif", "stylesheetlink" => "//fonts.googleapis.com/css?family=PT+Sans:regular,italic,bold,bolditalic&subset=latin"),
		array("label" => "PT Sans Narrow", "css" => "PT Sans Narrow", "type" => "sans-serif", "stylesheetlink" => "//fonts.googleapis.com/css?family=PT+Sans+Narrow:400,700"),
		array("label" => "Roboto", "css" => "Roboto", "type" => "Serif", "stylesheetlink" => "//fonts.googleapis.com/css?family=Roboto:400,700"),
		array("label" => "Rokkitt", "css" => "Rokkitt", "type" => "cursive", "stylesheetlink" => "//fonts.googleapis.com/css?family=Rokkitt:400,700"),
		array("label" => "Rosario", "css" => "Rosario", "type" => "Serif", "stylesheetlink" => "//fonts.googleapis.com/css?family=Rosario:400,700"),
		array("label" => "Rancho", "css" => "Rancho", "type" => "Serif", "stylesheetlink" => "//fonts.googleapis.com/css?family=Rancho&subset=latin,latin-ext,cyrillic,devanagari,greek,vietnamese"),
		array("label" => "Sarina (intl)", "css" => "Sarina", "type" => "Serif", "stylesheetlink" => "//fonts.googleapis.com/css?family=Sarina&subset=latin,latin-ext,cyrillic,devanagari,greek,vietnamese"),
		array("label" => "Ubuntu", "css" => "Ubuntu", "type" => "Sans-Serif", "stylesheetlink" =>"//fonts.googleapis.com/css?family=Ubuntu&subset=latin,latin-ext"),
		array("label" => "Volkhov", "css" => "Volkhov", "type" => "Serif", "stylesheetlink" => "//fonts.googleapis.com/css?family=Volkhov"),
		array("label" => "Yanone Kaffeesatz", "css" => "Yanone Kaffeesatz", "type" => "Serif", "stylesheetlink" => "//fonts.googleapis.com/css?family=Yanone+Kaffeesatz:extralight,light,bold&subset=latin"),
		array("label" => "Yesteryear", "css" => "Yesteryear", "type" => "Serif", "stylesheetlink" => "//fonts.googleapis.com/css?family=Yesteryear"),
		
	);
};
add_action("init", "ocmx_load_font_options", 20 );

/************************************/
/* Add colour Picker Script options */
function ocmx_font_script (){
	global $ocmx_fonts;
	foreach($ocmx_fonts as $font) :
		if(isset($font["stylesheetlink"])) :
			$font_slug = str_replace(" ", "-", $font["label"]);
			wp_enqueue_style($font_slug, $font["stylesheetlink"]);
		endif;
	endforeach;
	wp_enqueue_style( "slider-css",  get_template_directory_uri()."/scripts/typography-manager/jquery-ui.css");
	wp_enqueue_script( "jquery-fonts", get_template_directory_uri()."/scripts/fonts.js", array('jquery', 'jquery-ui-core'));
	wp_enqueue_script( "interface" );
};
if(isset($_REQUEST["page"]) && $_REQUEST["page"] == "ocmx-fonts") :
	add_action("init", "ocmx_font_script", 30);
endif;

/********************************/
/* Add it to the OCMX Interface */
function ocmx_font_options(){

	$ocmx_tabs = array(
					array(
						  "option_header" => "Typography",
						  "use_function" => "ocmx_font_form",
						  "function_args" => "font_options",
						  "ul_class" => "contained-forms-large clearfix"
					  ),
					array(
						  "option_header" => "Overview",
						  "use_function" => "ocmx_font_overview",
						  "function_args" => "",
						  "ul_class" => "contained-forms-large clearfix"
					  ),
				);
	$ocmx_container = new OCMX_Container();
	$ocmx_container->load_container("Font Customization ", $ocmx_tabs);
};

/*************************************/
/* Add font colours on the Front end */
function ocmx_load_fonts(){
	global $theme_options, $ocmx_fonts;
		$css = "";
		foreach($theme_options["font_options"]["elements"] as $font_option => $detail) :
			$option = $detail["name"];
			$size = $option."_size";
			$typo =  $option."_style";
			$font_css = "";

			if(get_option($typo) != "" && get_option($typo."_default") != get_option($typo)) :
				$font_css .= "font-family: ".get_option($typo)."; ";
			endif;
			if(get_option($size) != "" && get_option($size) != "0" && get_option($size."_default") != get_option($size)) :
				$font_css .= "font-size: ".round(get_option($size), 0)."px; ";
			endif;
			if($font_css != "") :
				$font_css = $detail["elements"]."{".$font_css."} \n";
			endif;
			$css .= $font_css;
		endforeach;
		if($css != "") :
			echo "<style>".$css."</style>";
		endif;
}

function ocmx_remove_font_support(){
	delete_option("ocmx_font_support");
}

if(get_option("ocmx_font_support")) :
	add_action("wp_head", "ocmx_load_fonts");
	add_action("switch_theme", "ocmx_remove_font_support");
endif;

/****************************************************/
/* Add font stylesheet if we're using a Google Font */
function ocmx_font_stylesheet(){
	global $theme_options, $ocmx_fonts;
	foreach($theme_options["font_options"]["elements"] as $font_option => $detail) :
		$option = $detail["name"];
		$size = $option."_size";
		$typo =  $option."_style";
		foreach($ocmx_fonts as $font) :
			if(get_option($typo) == $font["css"] && (isset($font["stylesheetlink"]) && $font["stylesheetlink"] != "")) :
				$font_slug = str_replace(" ", "-", $font["label"]);
				wp_enqueue_style($font_slug, $font["stylesheetlink"]);
			endif;
		endforeach;
	endforeach;
}
add_action("init", "ocmx_font_stylesheet", 30);