<?php
// Custom fields for WP write panel
function ocmx_add_custom_meta(){
global $obox_meta, $portfolio_meta, $page_layout, $portfolio_excerpt, $obox_custom_css_meta, $order;

$obox_custom_css_meta = array(
		"custom_css" => array (
			"name"		=> "custom_css",
			"default"	=> "",
			"label"		=> "Custom CSS",
			"desc"		=> "Input custom CSS for use with this post / page",
			"input_type"	=> "textarea"
			)
		);

$obox_meta = array(
		"header_image" => array (
			"name"		=> "header_image",
			"default"	=> "",
			"default_colour" => "ffffff",
			"label"		=> "Header Background",
			"desc"		=> "Select a background for your post header (at least 1920px wide for best quality)",
			"input_type"	=> "background"
		),
		"header_cover" => array (
			"name"		=> "header_cover",
			"default"	=> "cover",
			"label"		=> __("Zoom Background?", 'ocmx'),
			"desc"		=> __("Zooming the background attempts to scale your background image somewhat to fit the viewer's screen. Use for images smaller than 1920px wide.", 'ocmx'),
			"input_type"	=> "select",
			"options"	=> array( 'Enable' => 'cover', 'Disable' => 'normal' )
		),
		"header_gradient" => array (
			"name"		=> "header_gradient",
			"default"	=> "yes",
			"label"		=> __("Background gradient.", 'ocmx'),
			"desc"		=> __("Enable or disable the faint gradient over the bottom of the header background image.", 'ocmx'),
			"input_type"	=> "select",
			"options"	=> array( 'Enable' => 'yes', 'Disable' => 'no' )
		),
		"header_title_color" => array (
			"name"		=> "header_title_color",
			"default"	=> "",
			"label"		=> __("Post Title Color", 'ocmx'),
			"desc"		=> __("Select a text colour for your title.", 'ocmx'),
			"input_type"	=> "color"
		),
		"header_text_shadow" => array (
			"name"		=> "post_text_shadow",
			"default"	=> "no",
			"label"		=> __("Title & Excerpt Text Shadow ", 'ocmx'),
			"desc"		=> __("Enable or disable title text shadows. ", 'ocmx'),
			"input_type"	=> "select",
			"options"	=> array( 'Enable' => 'yes', 'Disable' => 'no' )
		),
		"video" => array (
			"name"			=> "video_link",
			"default" 		=> "",
			"label"			=> __("Video Link", 'ocmx'),
			"desc"			=> __("Provide your video link instead of the embed code and we'll use <a href='http://codex.wordpress.org/Embeds' target='_blank'>oEmbed</a> to translate that into a video.",'ocmx'),
			"input_type"		=> "text"
		),
		"embed" => array (
			"name"			=> "main_video",
			"default" 		=> "",
			"label" 		=> __("Embed Code",'ocmx'),
			"desc"      	=> __("Input the embed code of your video here.",'ocmx'),
			"input_type"  	=> "textarea"
		),
		"hostedvideo" => array (
			"name"			=> "video_hosted",
			"default" 		=> "",
			"label" 		=> __("Self Hosted Video Formats: .MP4 or .MPV",'ocmx'),
			"desc"      	=> __("Please paste in your self hosted video link. To upload videos <a href='".home_url()."/wp-admin/media-new.php'>click here</a>",'ocmx'),
			"input_type"  	=> "text"
		),
		"hostedvideo_ogv" => array (
			"name"			=> "video_hosted_ogv",
			"default" 		=> "",
			"label" 		=> __("Self Hosted Video Formats: .OGV (for non HTML5 browsers)",'ocmx'),
			"desc"      	=> __("Please paste in your self hosted video link. To upload videos <a href='".home_url()."/wp-admin/media-new.php'>click here</a>",'ocmx'),
			"input_type"  	=> "text"
		)
	);

$portfolio_meta = array(
		"client" => array (
			"name"		=> "client",
			"default"	=> "",
			"label"		=> "Custom Link Title",
			"desc"		=> "eg. Samsung",
			"input_type"	=> "text"
		),
		"website" => array (
			"name"		=> "website",
			"default"	=> "",
			"label"		=> "Website External Link",
			"desc"		=> "eg. http://www.samsung.com",
			"input_type"	=> "text"
		),
		"portfolio_layout" => array (
			"name"		=> __("portfolio_layout",'ocmx'),
			"default"	=> __("sidebar-left",'ocmx'),
			"label"		=> __("Layout",'ocmx'),
			"desc"		=> __("Select the layout of your post.",'ocmx'),
			"input_type"	=> "image-select",
			"image-folder"	=> "/ocmx/images/portfolio-layouts/",
			"options" 	=> array("sidebar-left", "full-width", "full-width-masonry", "sidebar-right", "sidebar-left-slider", "full-width-slider", "sidebar-right-slider")
		)
	);

$page_layout = array(
		"page_layout" => array (
			"name"		=> __("page_layout",'ocmx'),
			"default"	=> __("two-column",'ocmx'),
			"label"		=> __("Layout",'ocmx'),
			"desc"		=> __("Select the layout of your page.",'ocmx'),
			"input_type"	=> "image-select",
			"image-folder"	=> "/ocmx/images/page-layouts/",
			"options" 	=> array("two-column", "three-column", "four-column")
			)
	);

$portfolio_excerpt = array(
		"portfolio_pagination" => array (
			"name"		=> "portfolio_pagination",
			"default"	=> "scroll",
			"label"		=> "Portfolio Paging",
			"desc"		=> "Choose whether to enable infinte scrolling with the color drop effect, or use traditional pagination (Uses post count under Settings > Reading).",
			"input_type"	=> "select",
			"options" 	=> array("Infinite Scroll" => "scroll", "Pagination" => "pagination")
		),
		"excerpt_display" => array (
			"name"		=> "excerpt_display",
			"default"	=> "no",
			"label"		=> "Portfolio Excerpt",
			"desc"		=> "Choose whether to enable the Excerpt on the Portfolio List page.",
			"input_type"	=> "select",
			"options" 	=> array("Enable" => "yes", "Disabled" => "no")
			),
		"excerpt_length" => array (
			"name"		=> "excerpt_length",
			"default"	=> "160",
			"label"		=> "Portfolio Excerpt Length",
			"desc"		=> "Enter the Excerpt character count",
			"input_type"	=> "text"
			)
	);

	$order = array(
		"orderby" => array (
			"name" 		=> "orderby",
			"default" 	=> "date",
			"label" 	=> "Order By",
			"desc" 		=> __("Select the 'order by' of your Portfolio list.",'ocmx'),
			"input_type" 	=> "select",
			"options" 	=> array(__("Post Date",'ocmx') => "date", __("Post Title",'ocmx') => "title", __("Random",'ocmx') => "rand", __("Manual Order",'ocmx') => "menu_order")
			),
		"order" => array (
			"name" 		=> "order",
			"default" 	=> "desc",
			"label" 	=> __("Order",'ocmx'),
			"desc" 		=> __("Select the order of your Portfolio list.",'ocmx'),
			"input_type" => "select",
			"options" 	=> array(__("Descending",'ocmx') => "desc", __("Ascending",'ocmx') => "asc")
			)
	);
}
add_action( 'admin_menu', 'ocmx_add_custom_meta' );
function create_meta_box_ui() {
	global $post, $page_layout, $portfolio_excerpt, $order, $obox_meta;
	if(get_post_type($post->ID) == "page") :
		$obox_meta = array_merge($page_layout, $order, $obox_meta);
	endif;
	if(strpos(get_page_template(), 'portfolio.php')) :
		$obox_meta = array_merge($page_layout, $portfolio_excerpt, $order, $obox_meta);
	endif;

	post_meta_panel($post->ID, $obox_meta);
}

function create_meta_box_ui_portfolio() {
	global $post, $portfolio_meta;
	post_meta_panel($post->ID, $portfolio_meta);
}
function create_custom_css_meta_box_ui() {
	global $post, $obox_custom_css_meta;
	post_meta_panel($post->ID, $obox_custom_css_meta);
}
function insert_obox_metabox($pID) {
	global $post, $obox_meta, $portfolio_meta, $meta_added, $page_layout, $portfolio_excerpt, $order, $obox_custom_css_meta;

	wp_reset_postdata();
	if(get_post_type($post) == "page") :
		$obox_meta = array_merge($obox_meta, $page_layout);
	endif;

	if(get_post_type($post) == "portfolio") :
		$obox_meta = array_merge($portfolio_meta, $portfolio_excerpt, $order, $obox_meta);
	endif;

	if( isset( $post ) && strpos(get_page_template(), 'portfolio.php')) :
		$obox_meta = array_merge($page_layout, $portfolio_excerpt, $order, $obox_meta);
	endif;


	if(!isset($meta_added) && !empty($post)):
		if(get_post_type() == "portfolio") :
			post_meta_update($post->ID, $portfolio_meta);
			post_meta_update($post->ID, $obox_meta);
		else :
			post_meta_update($post->ID, $obox_meta);
		endif;
	endif;
	$meta_added = 1;
}

function add_obox_meta_box() {
	global $obox_themename;
	if (function_exists('add_meta_box') ) {
		add_meta_box('obox-css-meta-box','Custom CSS','create_custom_css_meta_box_ui','post','normal','high');
		add_meta_box('obox-css-meta-box','Custom CSS','create_custom_css_meta_box_ui','page','normal','high');
		add_meta_box('obox-css-meta-box','Custom CSS','create_custom_css_meta_box_ui','portfolio','normal','high');
		add_meta_box('obox-portfolio-meta-box','Portfolio Options','create_meta_box_ui_portfolio','portfolio','normal','high');
		add_meta_box('obox-meta-box',$obox_themename.' Options','create_meta_box_ui','post','normal','high');
		add_meta_box('obox-meta-box',$obox_themename.' Options','create_meta_box_ui','page','normal','high');
		add_meta_box('obox-meta-box',$obox_themename.' Options','create_meta_box_ui','portfolio','normal','high');
	}
}

function my_page_excerpt_meta_box() {
	add_meta_box( 'postexcerpt', __('Excerpt','ocmx'), 'post_excerpt_meta_box', 'page', 'normal', 'core' );
}

add_action('admin_menu', 'add_obox_meta_box');
add_action('admin_menu', 'my_page_excerpt_meta_box');
add_action('admin_head-post-new.php', 'ocmx_change_metatype');
add_action('admin_head-post.php', 'ocmx_change_metatype');
add_action('save_post', 'insert_obox_metabox');
add_action('publish_post', 'insert_obox_metabox');  ?>