<?php function ocmx_theme_options(){
	global $obox_meta, $theme_options, $obox_themeid, $customizer_options;

	$theme_options = array();
	$theme_options["general_site_options"] =
			array(
				array(
					"label" => "Custom Logo",
					"description" => "Full URL or folder path to your custom logo.",
					"name" => "ocmx_custom_logo",
					"default" => "",
					"id" => "upload_button",
					"input_type" => "file",
					"args" => array(
							"width" => 90,
							"height" => 75
						)
					),

				array(
					"label" => "Favicon",
					"description" => "Select a favicon for your site",
					"name" => "ocmx_custom_favicon",
					"default" => "",
					"id" => "upload_button_favicon",
					"input_type" => "file",
					"sub_title" => "favicon",
					"args" => array(
							"width" => 16,
							"height" => 16
						)
					),

				array(
					"main_section" => "Site Header",
					"main_description" => "",
					"sub_elements" => array(
							array(
								"label" => "Display Title",
								"description" => "To modify your title and tagline go to the <a href=\"".admin_url('options-general.php')."\" target=\"_blank\">Settings &rarr; General</a> area in WordPress.",
								"name" => "ocmx_display_site_title",
								"default" => "yes",
								"id" => "ocmx_display_site_title",
								"input_type" => 'select', 'options' => array('Yes' => 'yes', 'No' => 'no')
							),
							array(
								"label" => "Display Tagline",
								"description" => "To modify your title and tagline go to the <a href=\"".admin_url('options-general.php')."\" target=\"_blank\">Settings &rarr; General</a> area in WordPress.",
								"name" => "ocmx_display_site_tagline",
								"default" => "yes",
								"id" => "ocmx_display_site_tagline",
								"input_type" => 'select', 'options' => array('Yes' => 'yes', 'No' => 'no')
							),
							array(
								"label" => "Menu Style",
								"description" => "Select whether to display an expanded or compact menu.",
								"name" => "ocmx_menu_style",
								"default" => "yes",
								"id" => "ocmx_menu_style",
								"input_type" => 'select', 'options' => array('Compact' => 'compact', 'Expanded' => 'expanded')
							),
							array(
								"label" => "Menu Label",
								"description" => "","name" => "ocmx_menu_button_label",
								"default" => "Menu",
								"id" => "ocmx_menu_button_label",
								"input_type" => "text"
							)
						)
					),

				array("label" => "Custom Login Logo", "description" => "Select a custom login logo, recommended dimensions (326px x 82px)", "name" => "ocmx_custom_login", "default" => "", "id" => "upload_button_login", "input_type" => "file", "sub_title" => "login logo", "args" => array("width" => 326, "height" => 82)),

				array(
					"main_section" => "Custom Styling",
					"main_description" => "Use these fields to store custom styling for fonts and elements.",
					"sub_elements" => array(
							array(
								"label" => "Custom CSS",
								"description" => "Enter changed classes from the theme stylesheet, or any custom CSS here.",
								"name" => "ocmx_custom_css",
								"default" => ".example { color: #F00; } /* Add your own below this line */",
								"id" => "ocmx_custom_css",
								"input_type" => "memo"
							),
							array(
								"label" => "Custom Typekit Scripts",
								"description" => "Add Typekit fonts to your theme by copy/pasting the typekit script here, then add the CSS to the above Custom CSS box.",
								"name" => "ocmx_typekit",
								"default" => "",
								"id" => "ocmx_typekit"	,
								"input_type" => "memo"
							),
						)
					),
					array(
					"main_section" => "Facebook Sharing Options",
					"main_description" => "Set a default image URL to appear on Facebook shares if no featured image is found. Recommended size 200x200.",
					"sub_elements" => array(
							array(
								"label" => "Disable OpenGraph?",
								"description" => "Select No if you want to disable the theme's OpenGraph support(do this only if using a conflicting plugin)",
								"name" => "ocmx_open_graph",
								"default" => "no",
								"id" => "ocmx_open_graph",
								"input_type" => 'select', 'options' => array('Yes' => 'yes', 'No' => 'no')
							),
							array(
								"label" => "Image URL",
								"description" => "",
								"name" => "ocmx_site_thumbnail",
								"sub_title" => "Open Graph image",
								"default" => "",
								"id" => "upload_button_ocmx_site_thumbnail",
								"input_type" => "file",
								"args" => array( "width" => 80, "height" => 200)
							)
						)
				),
				array(
					"label" => "Custom RSS URL",
					"description" => "Paste the URL to your custom RSS feed, such as Feedburner.",
					"name" => "ocmx_rss_url",
					"default" => "",
					"id" => "",
					"input_type" => "text"
				)
			);
	$theme_options["layout_options"] = array(
				array(
					"label" => "Home Page Layout",
					"description" => "Set your home page to either display as a blog, mimic our theme demo or take full control by using widgets.",
					"name" => "ocmx_home_page_layout",
					"default" => "blog",
					"id" => "ocmx_home_page_layout",
					"input_type" => "hidden",
					"options" =>
						array(
								"blog" => array("label" => "Blog", "description" => "Display standard posts.", "load_options" => "blog_home_options"),
								"portfolio" => array("label" => "Portfolio", "description" => "Display your portfolio posts.", "load_options" => "portfolio_home_options" ),
								)
					),
				array(
					"label" => "List Pages Layout",
					"description" => "Choose the number of columns for dynamically generated post lists such as category archives and the default homepage.",
					"name" => "ocmx_list_page_layout",
					"default" => "three-column",
					"id" => "ocmx_list_page_layout",
					"input_type" => "hidden",
					"options" =>
						array(
								"two-column" => array("label" => "Two Columns", "description" => "", "image" => get_template_directory_uri()."/ocmx/page-layouts/two-column.png"),
								"three-column" => array("label" => "Three Columns", "description" => "", "image" => get_template_directory_uri()."/ocmx/page-layouts/three-column.png"),
								"four-column" => array("label" => "Four Columns", "description" => "", "image" => get_template_directory_uri()."/ocmx/page-layouts/four-column.png")
								)
				)
	);

	$portfolio_cats = get_terms("portfolio-category", "orderby=name&hide_empty=0");
	$portfolio_cat_list["All"] = 0;
	foreach($portfolio_cats as $category) :
		if(isset($category->name))
			$portfolio_cat_list[$category->name] = $category->slug;
	endforeach;
	$theme_options["portfolio_home_options"] =
				array(
					array (
						"label"		=> "Portfolio Paging",
						"name"		=> "ocmx_home_portfolio_pagination",
						"id"		=> "ocmx_home_portfolio_pagination",
						"default"	=> "scroll",
						"desc"		=> "Choose whether to enable infinte scrolling with the color drop effect, or use traditional pagination (Uses post count under Settings > Reading).",
						"input_type"	=> "select",
						"options" 	=> array("Infinite Scroll" => "scroll", "Pagination" => "pagination")
					),
					array(
						"label" => "Post Count",
						"description" => "Number of Posts to display on the Home Page if Paging is enabled above.",
						"name" => "ocmx_home_portfolio_posts",
						"default" => "12",
						"id" => "ocmx_home_portfolio_posts",
						"input_type" => "select",
						"options" => array("1" => "1", "2" => "2", "3" => "3", "4" => "4", "5" => "5", "6" => "6", "7" => "7", "8" => "8", "9" => "9", "10" => "10", "11" => "11", "12" => "12")
						),
					array(
						"label" => "Category",
						"description" => "Choose a category to display on the homepage, if desired.",
						"name" => "ocmx_home_portfolio_categories",
						"default" => "All",
						"id" => "ocmx_home_portfolio_categories",
						"input_type" => "select",
						"options" => $portfolio_cat_list
						),
					array(
						"label" => "Show Category Filter",
						"description" => "Whether or not to show the portfolio category filter (will add masonry effect) to the home page.",
						"name" => "ocmx_portfolio_category_filter",
						"default" => "hide",
						"id" => "ocmx_portfolio_category_filter",
						"input_type" => "select",
						'options' => array('Show' => 'show', 'Hide' => 'hide')
						),
					array(
						'label' => "Show Text?",
						'description' => "Select whether to show titles /excerpts.",
						'name' => "ocmx_show_portfolio_excerpts",
						'default' => "no",
						'id' => "ocmx_show_portfolio_excerpts",
						'input_type' => 'select', 'options' => array('Show' => 'yes', 'Hide' => 'no')
						),
					array (
						'label' => "Order By",
						'description' => "Choose how to order posts on the home page. Default is by date with most recent first.",
						'name' => "ocmx_portfolio_post_order",
						'default' => "date",
						'id' => "ocmx_portfolio_post_order",
						'input_type' => 'select', 'options' => array('Post Date' => 'date', 'Post Title' => 'title', 'Random' => 'rand', 'Manual Order' => 'menu_order')
						),
					array (
						'label' => "Sort Order",
						'description' => "Choose how to sort posts. Ascending sorts from 1-10 or oldest to newest, Descending sorts from 10-1, newest to oldest. Does not affect Random.",
						'name' => "ocmx_portfolio_sort_order",
						'default' => "asc",
						'id' => "ocmx_portfolio_sort_order",
						'input_type' => "select",
						'options' => array("Descending" => "desc", "Ascending" => "asc", "Random" => "rand", "Manual Order" => "menu_order")
						),
				);
	$theme_options["blog_home_options"] =
				array(
					array("label" => "Post Count", "description" => "Number of Posts to display on the Home Page.", "name" => "ocmx_home_blog_posts", "default" => "12", "id" => "", "input_type" => "select", "options" =>
						array("1" => "1", "2" => "2", "3" => "3", "4" => "4", "5" => "5", "6" => "6", "7" => "7", "8" => "8", "9" => "9", "10" => "10", "11" => "11", "12" => "12")),
					array("label" => "Category", "description" => "Choose a category to display on the homepage, if desired.", "name" => "ocmx_home_blog_categories", "default" => "All", "id" => "ocmx_home_blog_categories", "input_type" => "select", "options" => "loop_categories"),
					array(
						'label' => "Show Text?",
						'description' => "Select whether to show titles /excerpts.",
						'name' => "ocmx_show_blog_excerpts",
						'default' => "no",
						'id' => "ocmx_show_blog_excerpts",
						'input_type' => 'select', 'options' => array('Show' => 'yes', 'Hide' => 'no')
						),
					array (
						'label' => "Order By",
						'description' => "Choose how to order posts on the home page. Default is by date with most recent first.",
						'name' => "ocmx_blog_post_order",
						'default' => "date",
						'id' => "ocmx_blog_post_order",
						'input_type' => 'select', 'options' => array('Post Date' => 'date', 'Post Title' => 'title', 'Random' => 'rand', 'Manual Order' => 'menu_order')
						),
					array (
						'label' => "Sort Order",
						'description' => "Choose how to sort posts. Ascending sorts from 1-10 or oldest to newest, Descending sorts from 10-1, newest to oldest. Does not affect Random.",
						'name' => "ocmx_blog_sort_order",
						'default' => "asc",
						'id' => "ocmx_blog_sort_order",
						'input_type' => "select",
						'options' => array("Descending" => "desc", "Ascending" => "asc", "Random" => "rand", "Manual Order" => "menu_order")
						),
				);
	$theme_options["custom_options"] = array(
				array(
					"label" => "Show Excerpts?",
					"description" => "Select whether to show post excerpts in your archives/ blog list.",
					"name" => "ocmx_show_excerpts",
					"default" => "yes",
					"id" => "ocmx_show_excerpts",
					"input_type" => 'select', 'options' => array('Show Excerpts' => 'yes', 'Hide Excerpts' => 'no')
				),
				array(
					"main_section" => "Post Meta",
					"main_description" => "These settings control which post meta is displayed in posts.",
					"sub_elements" => array(
							array(
								"label" => "Date",
								"description" => "Uncheck to hide the dates in posts.","name" => "ocmx_meta_date",
								"name" => "ocmx_meta_date",
								"default" => "true",
								"id" => "ocmx_meta_date",
								"input_type" => "checkbox"
							),
							array(
								"label" => "Tags",
								"description" => "Uncheck to hide the tags in posts",
								"name" => "ocmx_meta_tags",
								"default" => "false",
								"id" => "ocmx_meta_tags",
								"input_type" => "checkbox"
							),
							array(
								"label" => "Category Link",
								"description" => "Uncheck to hide the category link in posts.",
								"name" => "ocmx_meta_category",
								"default" => "true",
								"id" => "ocmx_meta_category",
								"input_type" => "checkbox"
							),
							array(
								"label" => "Comments Link",
								"description" => "Uncheck to hide the comments link on the post list.",
								"name" => "ocmx_meta_comments_link",
								"default" => "true",
								"id" => "ocmx_meta_comments_link",
								"input_type" => "checkbox"
							),
							array(
								"label" => "Author Link",
								"description" => "Uncheck to hide the author link in posts.",
								"name" => "ocmx_meta_author",
								"default" => "true",
								"id" => "ocmx_meta_author",
								"input_type" => "checkbox"
							),
							array(
								"label" => "Author Info",
								"description" => "Uncheck to hide the author info at the bottom of posts.",
								"name" => "ocmx_meta_author_block",
								"default" => "true",
								"id" => "ocmx_meta_author_block",
								"input_type" => "checkbox"
							),
							array(
								"label" => "Next &amp; Previous Links",
								"description" => "Uncheck to hide the post navigation in posts.",
								"name" => "ocmx_meta_post_links",
								"default" => "true",
								"id" => "ocmx_meta_post_links",
								"input_type" => "checkbox"
							),
							array(
								"label" => "Related Posts",
								"description" => "Uncheck to hide the related posts in posts.",
								"name" => "ocmx_meta_further_reading",
								"default" => "true",
								"id" => "ocmx_meta_further_reading",
								"input_type" => "checkbox"
							),
						)
					),
				array(
					"main_section" => "Portfolio Meta",
					"main_description" => "These settings control which post meta is displayed in portfolio posts.",
					"sub_elements" => array(
							array(
								"label" => "Tags",
								"description" => "Uncheck to hide the tags in porttfolio posts",
								"name" => "ocmx_meta_portfolio_tags",
								"default" => "false",
								"id" => "ocmx_meta_portfolio_tags",
								"input_type" => "checkbox"
							),
							array(
								"label" => "Category Link",
								"description" => "Uncheck to hide the category link in portfolio posts.",
								"name" => "ocmx_meta_portfolio_category",
								"default" => "true",
								"id" => "ocmx_meta_portfolio_category",
								"input_type" => "checkbox"
							),
							array(
								"label" => "Next &amp; Previous Links",
								"description" => "Uncheck to hide the post navigation in portfolio posts.",
								"name" => "ocmx_meta_portfolio_links",
								"default" => "true",
								"id" => "ocmx_meta_portfolio_links",
								"input_type" => "checkbox"
							),

						)
					),
				array(
					"main_section" => "Page Meta",
					"main_description" => "These settings control which meta is displayed in pages.",
					"sub_elements" => array(
							array(
								"label" => "Date",
								"description" => "Uncheck to hide the dates in pages.","name" => "ocmx_meta_date",
								"name" => "ocmx_meta_date_page",
								"default" => "true",
								"id" => "ocmx_meta_date_page",
								"input_type" => "checkbox"
							),
							array(
								"label" => "Author Link",
								"description" => "Uncheck to hide the author link in pages.",
								"name" => "ocmx_meta_author_page",
								"default" => "true",
								"id" => "ocmx_page_meta_author_page",
								"input_type" => "checkbox"
							),
							array(
								"label" => "Author Info",
								"description" => "Uncheck to hide the author info at the bottom of pages.",
								"name" => "ocmx_meta_author_block_page",
								"default" => "true",
								"id" => "ocmx_meta_author_block_page",
								"input_type" => "checkbox"
							),
						)
					),
				array(
					"main_section" => "Social Sharing",
					"main_description" => "Toggle social sharing to Facebook, Twitter and Google+.",
					"sub_elements" => array(
							array(
								"label" => "Show Social Sharing on Posts?",
								"description" => "",
								"name" => "ocmx_meta_social",
								"default" => "true",
								"id" => "ocmx_meta_social",
								"input_type" => 'select',
								"options" => array('Yes' => 'true', 'No' => 'false')
							),
							array(
								"label" => "Show Social Sharing on Portfolios?",
								"description" => "",
								"name" => "ocmx_meta_social_portfolio",
								"default" => "true",
								"id" => "ocmx_meta_social_portfolio",
								"input_type" => 'select',
								"options" => array('Yes' => 'true', 'No' => 'false')
							),
							array(
								"label" => "Show Social Sharing on Pages?",
								"description" => "",
								"name" => "ocmx_meta_social_page",
								"default" => "true",
								"id" => "ocmx_meta_social_page",
								"input_type" => 'select',
								"options" => array('Yes' => 'true', 'No' => 'false')
							),
							array(
								"label" => "Custom Social Widget Code",
								"description" => "Paste the widget code from a sharing buttons provider of your choice here, and it will replace the theme share button.",
								"name" => "ocmx_social_tag",
								"default" => "",
								"id" => "",
								"input_type" => "memo"),
						)
					)
			);

	$theme_options["footer_options"] = array(
				array(
					"label" => "Show Footer?",
					"description" => "Show the footer by default.",
					"name" => "ocmx_show_footer",
					"default" => "yes",
					"id" => "ocmx_show_footer",
					"input_type" => 'select',
					"options" => array('Yes' => 'true', 'No' => 'false')
				),
				array(
					"label" => "Show Social Links in the Footer?",
					"description" => "Select whether to show or hide social icons in the footer.",
					"name" => "ocmx_footer_socials",
					"default" => "true",
					"id" => "ocmx_footer_socials",
					"input_type" => 'select',
					"options" => array('Yes' => 'true', 'No' => 'false'),
				),
				array(
					"main_section" => "Social Networks",
					"main_description" => "Enter the full URL to each social profile you wish to display, beginning with http://",
						"sub_elements" => array(
							array("label" => "Facebook Link", "name" => "ocmx_footer_facebook", "", "default" => "", "id" => "ocmx_footer_facebook", "input_type" => "input"),
							array("label" => "Twitter Link", "name" => "ocmx_footer_twitter", "", "default" => "", "id" => "ocmx_footer_twitter", "input_type" => "input"),
							array("label" => "Google Plus Link", "name" => "ocmx_footer_gplus", "", "default" => "", "id" => "ocmx_footer_gplus", "input_type" => "input"),
							array("label" => "Pinterest Link", "name" => "ocmx_footer_pinterest", "", "default" => "", "id" => "ocmx_footer_pinterest", "input_type" => "input"),
							array("label" => "Tumblr Link", "name" => "ocmx_footer_tumblr", "", "default" => "", "id" => "ocmx_footer_tumblr", "input_type" => "input"),
							array("label" => "Instagram Link", "name" => "ocmx_footer_instagram", "", "default" => "", "id" => "ocmx_footer_instagram", "input_type" => "input"),
							array("label" => "Dribbble Link", "name" => "ocmx_footer_dribbble", "", "default" => "", "id" => "ocmx_footer_dribbble", "input_type" => "input"),
							array("label" => "Behance Link", "name" => "ocmx_footer_behance", "", "default" => "", "id" => "ocmx_footer_behance", "input_type" => "input"),
							array("label" => "LinkedIn Link", "name" => "ocmx_footer_linkedin", "", "default" => "", "id" => "ocmx_footer_linkedin", "input_type" => "input"),
							array("label" => "Vimeo Link", "name" => "ocmx_footer_vimeo", "", "default" => "", "id" => "ocmx_footer_vimeo", "input_type" => "input"),
							array("label" => "YouTube Link", "name" => "ocmx_footer_youtube", "", "default" => "", "id" => "ocmx_footer_youtube", "input_type" => "input"),
							)
				),
				array(
					"label" => "Custom Footer Text",
					"description" => "",
					"name" => "ocmx_custom_footer",
					"default" => "Copyright ".date("Y")."Fall was created in WordPress by Obox Themes."	, "id" => "ocmx_custom_footer",
					"input_type" => "memo"
				),
				array(
					"label" => "Hide Obox Logo",
					"description" => "Hide the Obox Logo from the footer.",
					"name" => "ocmx_logo_hide", "default" => "false",
					"id" => "ocmx_logo_hide",
					"input_type" => 'select',
					"options" => array('Yes' => 'true', 'No' => 'false')
				),

				array(
					"label" => "Site Analytics",
					"description" => "Enter in the Google Analytics Script here.",
					"name" => "ocmx_google_analytics",
					"default" => "",
					"id" => "ocmx_google_analytics",
					"input_type" => "memo"
				)
			);


	$customizer_options[] = array(
			'section_title' => 'Header Color Scheme',
			'section_slug' => 'header_color_scheme',
			'elements' => array(
					array(
						'slug' => 'ocmx_header_container_background_color',
						'label' => 'Logo & Menu Bar Background',
						'default' => '',
						'selectors' => '#header-container, #header-container.header-shrink, ul#nav.expanded ul.sub-menu, ul#nav.expanded .children',
						'css'	=> 'background-color',
						'jquery'	=> 'backgroundColor'
					),
					array(
						'slug' => 'ocmx_header_container_border',
						'label' => 'Menu Borders',
						'default' => '',
						'selectors' => 'ul#nav.expanded, ul#nav.expanded ul.sub-menu, ul#nav.expanded .children, ul#nav.expanded ul.sub-menu li, ul#nav.expanded .children li',
						'css'	=> 'border-color',
						'jquery'	=> 'borderColor'
					),
					array(
						'slug' => 'ocmx_header_title_color',
						'label' => 'Site Title (text logo)',
						'default' => '',
						'selectors' => '.logo, .logo a, .logo small',
						'css'	=> 'color',
						'jquery'	=> 'color'
					),
					array(
						'slug' => 'ocmx_header_tagline_color',
						'label' => 'Tagline',
						'default' => '',
						'selectors' => '.logo .tagline',
						'css'	=> 'color',
						'jquery'	=> 'color'
					),
					array(
						'slug' => 'ocmx_menu_font_color',
						'label' => 'Expanded Menu Links',
						'default' => '',
						'selectors' => 'ul#nav.expanded li a, ul#nav.expanded ul.sub-menu li a, ul#nav.expanded .children li a',
						'css'	=> 'color',
						'jquery'	=> 'color'
					),
					array(
						'slug' => 'ocmx_menu_font_hover_color',
						'label' => 'Expanded Menu Link Hover',
						'default' => '',
						'selectors' => 'ul#nav.expanded li a:hover, ul#nav.expanded li.current-menu-item a, #menu-drop-button:hover, #menu-drop-button .fa-bars:hover, ul#nav.expanded ul.sub-menu li a:hover, ul#nav.expanded .children li a:hover, .logo a:hover, ul#nav.expanded ul.sub-menu li a:hover, ul#nav.expanded .children li a:hover',
						'css'	=> 'color',
						'jquery'	=> 'color'
					),
					array(
						'slug' => 'ocmx_sidebar_toggle',
						'label' => 'Sidebar Toggle',
						'default' => '',
						'selectors' => '#menu-drop-button, #menu-drop-button .fa-bars',
						'css'	=> 'color',
						'jquery'	=> 'color'
					)
				),
		);

	$customizer_options[] = array(
			'section_title' => 'Sidebar Color Scheme',
			'section_slug' => 'sidebar_color_scheme',
			'elements' => array(
					array(
						'slug' => 'ocmx_sidebar_container_background_color',
						'label' => 'Sidebar Container',
						'default' => '',
						'selectors' => '#sidebar-container',
						'css'	=> 'background-color',
						'jquery'	=> 'backgroundColor'
					),
					array(
						'slug' => 'ocmx_sidebar_header_font_color',
						'label' => 'Widget Titles',
						'default' => '',
						'selectors' => '.widgettitle, .widgettitle a, .section-title, .section-title a',
						'css'	=> 'color',
						'jquery'	=> 'color'
					),
					array(
						'slug' => 'ocmx_sidebar_content_font_color',
						'label' => 'Widget Content',
						'default' => '',
						'selectors' => '.widget .content',
						'css'	=> 'color',
						'jquery'	=> 'color'
					),
					array(
						'slug' => 'ocmx_sidebar_link_font_color',
						'label' => 'Links',
						'default' => '',
						'selectors' => '#sidebar-container .widget a, ul#nav ul.sub-menu li a, ul#nav .children li a',
						'css'	=> 'color',
						'jquery'	=> 'color'
					),
					array(
						'slug' => 'ocmx_sidebar_link_font_hover_color',
						'label' => 'Links Hover',
						'default' => '',
						'selectors' => '#sidebar-container .widget a:hover',
						'css'	=> 'color',
						'jquery'	=> 'color'
					)
				),
		);
	$customizer_options[] = array(
			'section_title' => 'Title Color Scheme',
			'section_slug' => 'title_color_scheme',
			'elements' => array(
					array(
						'slug' => 'ocmx_post_single_title_background_color',
						'label' => 'Title/Header Background',
						'default' => '',
						'selectors' => '.title-container',
						'css'	=> 'background-color',
						'jquery'	=> 'backgroundColor'
					),
					array(
						'slug' => 'ocmx_section_title_font_color',
						'label' => 'Page/Post Title',
						'default' => '',
						'selectors' => '.title-container .post-title, .title-container .post-author, .author-title-container .author-body p',
						'css'	=> 'color',
						'jquery'	=> 'color'
					),
					array(
						'slug' => 'ocmx_title_links_color',
						'label' => 'Title Links',
						'default' => '',
						'selectors' => '.title-container .post-category, .title-container .post-category a, .portfolio-categories a, .portfolio-nav a',
						'css'	=> 'color',
						'jquery'	=> 'color'
					),
					array(
						'slug' => 'ocmx_title_link_hover_color',
						'label' => 'Title Link Hover',
						'default' => '',
						'selectors' => '.title-container .post-category a:hover, .title-container .post-author a:hover, .post-category a:hover, .portfolio-categories a:hover, .portfolio-categories a:hover, .portfolio-nav a:hover, .header-meta a:hover',
						'css'	=> 'color',
						'jquery'	=> 'color'
					),
					array(
						'slug' => 'ocmx_title_excerpt_color',
						'label' => 'Title Excerpt & Meta',
						'default' => '',
						'selectors' => '.header-meta, .title-container .sub-title, .header-meta a',
						'css'	=> 'color',
						'jquery'	=> 'color'
					),
				)
			);
	$customizer_options[] = array(
			'section_title' => 'List Pages Color Scheme',
			'section_slug' => 'list_pages_color_scheme',
			'elements' => array(
					array(
						'slug' => 'ocmx_list_page_links_color',
						'label' => 'List Page Links',
						'default' => '',
						'selectors' => '.post-list .post-category a, .post-list .post-meta a, .post-list .action-link',
						'css'	=> 'color',
						'jquery'	=> 'color'
					),
					array(
						'slug' => 'ocmx_list_page_link_hover_color',
						'label' => 'List Page Link Hover',
						'default' => '',
						'selectors' => '.post-list .post-category a:hover, .post-list .post-meta a:hover, .post-list .action-link:hover, .post-list .post-title a:hover',
						'css'	=> 'color',
						'jquery'	=> 'color'
					),
					array(
						'slug' => 'ocmx_post_list_background',
						'label' => 'Block Backgrounds',
						'default' => '',
						'selectors' => '.post-list .post, .post-list .book-cover',
						'css'	=> 'background-color',
						'jquery'	=> 'backgroundColor'
					),
					array(
						'slug' => 'ocmx_post_list_border',
						'label' => 'Borders',
						'default' => '',
						'selectors' => '.post-list .action-link,.post-list .post-title,.post-list .post-meta',
						'css'	=> 'border-color',
						'jquery'	=> 'borderColor'
					),
					array(
						'slug' => 'ocmx_post_list_title_font_color',
						'label' => 'Post Titles',
						'default' => '',
						'selectors' => '.post-list .post-title a',
						'css'	=> 'color',
						'jquery'	=> 'color'
					),
					array(
						'slug' => 'ocmx_post_list_excerpt_font_color',
						'label' => 'Post Excerpts',
						'default' => '',
						'selectors' => '.post-list .content .excerpt',
						'css'	=> 'color',
						'jquery'	=> 'color'
					),
					array(
						'slug' => 'ocmx_post_list_meta_font_color',
						'label' => 'Post Meta',
						'default' => '',
						'selectors' => '.post-list .post-meta',
						'css'	=> 'color',
						'jquery'	=> 'color'
					),
array(
						'slug' => 'ocmx_pagination_buttons_border_color',
						'label' => 'Pagination Borders',
						'default' => '',
						'selectors' => '.pagination li a',
						'css'	=> 'border-color',
						'jquery'	=> 'borderColor'
					),
					array(
						'slug' => 'ocmx_pagination_buttons_hover_background_color',
						'label' => 'Pagination Border Hover',
						'default' => '',
						'selectors' => '.pagination li.current, .pagination li a:hover',
						'css'	=> 'border-color',
						'jquery'	=> 'borderColor'
					),
					array(
						'slug' => 'ocmx_pagination_buttons_font_color',
						'label' => 'Pagination Text Color',
						'default' => '',
						'selectors' => '.pagination li.current, .page-count, .pagination a:hover',
						'css'	=> 'color',
						'jquery'	=> 'color'
					),
					array(
						'slug' => 'ocmx_pagination_link_hover_color',
						'label' => 'Pagination Link Color',
						'default' => '',
						'selectors' => '.pagination a',
						'css'	=> 'color',
						'jquery'	=> 'color'
					),
			)
		);

	$customizer_options[] = array(
			'section_title' => 'Single Post/Page Color Scheme',
			'section_slug' => 'single_pages_color_scheme',
			'elements' => array(
					array(
						'slug' => 'ocmx_post_single_background_color',
						'label' => 'Page Background',
						'default' => '',
						'selectors' => '.single #content-container',
						'css'	=> 'background-color',
						'jquery'	=> 'backgroundColor'
					),
					array(
						'slug' => 'ocmx_post_single_copy_background_color',
						'label' => 'Content Background',
						'default' => '',
						'selectors' => '.single .copy, .page .copy, .author-container, .portfolio-container #right-column, .gallery-slider .next, .gallery-slider .previous',
						'css'	=> 'background-color',
						'jquery'	=> 'backgroundColor'
					),
					array(
						'slug' => 'ocmx_post_single_border_color',
						'label' => 'Borders',
						'default' => '',
						'selectors' => '.next-prev-post-nav,.author-container, .full-width .copy, .full-width-slider .copy, .full-width-masonry .copy, .copy code, .copy pre,.copy h5,.copy table th,.copy table td,p.inner-post-pagination,.inner-post-pagination span, .author-container, .portfolio-meta a',
						'css'	=> 'border-color',
						'jquery'	=> 'borderColor'
					),
					array(
						'slug' => 'ocmx_post_single_copy_font_color',
						'label' => 'Content Text',
						'default' => '',
						'selectors' => '.single .copy, .page .copy, .author-content .author-name, .author-content .author-bio',
						'css'	=> 'color',
						'jquery'	=> 'color'
					),
					array(
						'slug' => 'ocmx_post_single_links_font_color',
						'label' => 'Content Links',
						'default' => '',
						'selectors' => '.single .copy a, .page .copy a, .author-container a, .portfolio-meta a, .gallery-slider .next, .gallery-slider .previous',
						'css'	=> 'color',
						'jquery'	=> 'color'
					),
					array(
						'slug' => 'ocmx_post_single_links_hover_font_color',
						'label' => 'Content Links Hover',
						'default' => '',
						'selectors' => '.single .copy a:hover, .page .copy  a:hover, .share-button:hover label, .tags a:hover, .author-container a:hover, .portfolio-meta a:hover, .gallery-slider .next:hover, .gallery-slider .previous:hover',
						'css'	=> 'color',
						'jquery'	=> 'color'
					),
					array(
						'slug' => 'ocmx_post_element_background_color',
						'label' => 'Post Element Background',
						'default' => '',
						'selectors' => '.copy code, .copy pre,.copy table,.copy blockquote,.wp-caption,.gallery .gallery-item, .tiled-gallery-item, .share-button label, .tags a, .portfolio-tags li a',
						'css'	=> 'background-color',
						'jquery'	=> 'backgroundColor'
					),
					array(
						'slug' => 'ocmx_post_element_text_color',
						'label' => 'Post Element Text Color',
						'default' => '',
						'selectors' => '.copy code, .copy pre, .copy table,.copy blockquote,.wp-caption p.wp-caption-text, .gallery .gallery-caption, .wp-caption p.wp-caption-text, .share-button label, .tags a',
						'css'	=> 'color',
						'jquery'	=> 'color'
					),
					array(
						'slug' => 'ocmx_post_single_pagination_font_color',
						'label' => 'Next/Previous Post Links',
						'default' => '',
						'selectors' => '.next-prev-post-nav a, .next-prev-post-nav small, .page-count',
						'css'	=> 'color',
						'jquery'	=> 'color'
					),
					array(
						'slug' => 'ocmx_post_single_pagination_font_hover_color',
						'label' => 'Next/Previous Post Links Hover',
						'default' => '',
						'selectors' => '.next-prev-post-nav a:hover',
						'css'	=> 'color',
						'jquery'	=> 'color'
					),
					array(
						'slug' => 'ocmx_comment_container_background_color',
						'label' => 'Comments Container Background',
						'default' => '',
						'selectors' => '#comments, .related-posts, .gallery-slider',
						'css'	=> 'background-color',
						'jquery'	=> 'backgroundColor'
					),
					array(
						'slug' => 'ocmx_comment_title_font_color',
						'label' => 'Comments/Related Post Titles',
						'default' => '',
						'selectors' => '#comments .comments-title, .comment .fn, .comment .fn a, .comment-reply-title, #respond #reply-title',
						'css'	=> 'color',
						'jquery'	=> 'color'
					),
					array(
						'slug' => 'ocmx_comment_section_border_color',
						'label' => 'Comments Section Borders',
						'default' => '',
						'selectors' => '#comments, .related-posts-title, .related-posts .post-list .post, #comments, .commentlist .children .comment, textarea, input[type=text], input[type=password], input[type=email], #comments .comments-title, textarea',
						'css'	=> 'border-color',
						'jquery'	=> 'borderColor'
					),
					array(
						'slug' => 'ocmx_comment_list_background_color',
						'label' => 'Comment Background',
						'default' => '',
						'selectors' => '.nocomments, .pingback, .comment',
						'css'	=> 'background-color',
						'jquery'	=> 'backgroundColor'
					),

					array(
						'slug' => 'ocmx_comment_body_font_color',
						'label' => 'Comment Text',
						'default' => '',
						'selectors' => '.comment, .comment-meta p',
						'css'	=> 'color',
						'jquery'	=> 'color'
					),
					array(
						'slug' => 'ocmx_comment_meta_font_color',
						'label' => 'Meta(Small) Text',
						'default' => '',
						'selectors' => '.comment .date, .comment .date a, #respond .logged-in-as, #respond .form-allowed-tags code, #respond .form-allowed-tags',
						'css'	=> 'color',
						'jquery'	=> 'color'
					),
					array(
						'slug' => 'ocmx_comment_link_font_color',
						'label' => 'Comment Links',
						'default' => '',
						'selectors' => '.comment-meta p a, .commentlist .fn, .commentlist .fn a, .comment .comment-edit-link, #respond .logged-in-as a',
						'css'	=> 'color',
						'jquery'	=> 'color'
					),
					array(
						'slug' => 'ocmx_comment_link_hover_color',
						'label' => 'Comment Link Hover',
						'default' => '',
						'selectors' => '#comments a:hover, .commentlist .fn:hover, .commentlist .fn a:hover, #respond .logged-in-as a:hover',
						'css'	=> 'color',
						'jquery'	=> 'color'
					)
				)
			);
			$customizer_options[] = array(
			'section_title' => 'Form Color Scheme',
			'section_slug' => 'form_color_scheme',
			'elements' => array(
			array(
						'slug' => 'ocmx_comment_form_label_font_color',
						'label' => 'Form Labels',
						'default' => '',
						'selectors' => 'input[type=text], input[type=password], input[type=email], #respond label',
						'css'	=> 'color',
						'jquery'	=> 'color'
					),
					array(
						'slug' => 'ocmx_form_input_font_color',
						'label' => 'Form Text',
						'default' => '',
						'selectors' => 'input[type=text], input[type=password], input[type=email], textarea',
						'css'	=> 'color',
						'jquery'	=> 'color'
					),
					array(
						'slug' => 'ocmx_form_label_background_color',
						'label' => 'Form Field Color',
						'default' => '',
						'selectors' => 'input[type=text], input[type=password], input[type=email], textarea',
						'css'	=> 'background-color',
						'jquery'	=> 'backgroundColor'
					),

					array(
						'slug' => 'ocmx_form_button_background_color',
						'label' => 'Form Button Background',
						'default' => '',
						'selectors' => 'input[type=submit], button, #back-top a, .comment .reply a',
						'css'	=> 'background-color',
						'jquery'	=> 'backgroundColor'
					),
					array(
						'slug' => 'ocmx_form_text_font_color',
						'label' => 'Form Button Text',
						'default' => '',
						'selectors' => 'input[type=submit], button, #back-top a, .comment .reply a',
						'css'	=> 'color',
						'jquery'	=> 'color'
					),
					array(
						'slug' => 'ocmx_form_text_hover_color',
						'label' => 'Form Button Text Hover',
						'default' => '',
						'selectors' => 'input[type=submit]:hover, button:hover, #back-top a:hover, .comment .reply a:hover',
						'css'	=> 'color',
						'jquery'	=> 'color'
					),
					array(
						'slug' => 'ocmx_form_submit_background_hover_color',
						'label' => 'Button Background Hover',
						'default' => '',
						'selectors' => 'input[type=submit]:hover, button:hover, #back-top a:hover, .comment .reply a:hover',
						'css'	=> 'background-color',
						'jquery'	=> 'backgroundColor'
					)
				),
		);

	$customizer_options[] = array(
			'section_title' => 'Footer Color Scheme',
			'section_slug' => 'footer_color_scheme',
			'elements' => array(
					array(
						'slug' => 'ocmx_footer_container_background_color',
						'label' => 'Container Background',
						'default' => '',
						'selectors' => '#footer-container',
						'css'	=> 'background-color',
						'jquery'	=> 'backgroundColor'
					),
					array(
						'slug' => 'ocmx_footer_font_color',
						'label' => 'Text Color',
						'default' => '',
						'selectors' => '.footer-text',
						'css'	=> 'color',
						'jquery'	=> 'color'
					),
					array(
						'slug' => 'ocmx_footer_links_font_color',
						'label' => 'Links',
						'default' => '',
						'selectors' => '.footer-text a, #footer-socials a',
						'css'	=> 'color',
						'jquery'	=> 'color'
					),
					array(
						'slug' => 'ocmx_footer_links_hover_font_color',
						'label' => 'Links Hover',
						'default' => '',
						'selectors' => '.footer-text a:hover, #footer-socials a:hover',
						'css'	=> 'color',
						'jquery'	=> 'color'
					)
				),
		);

	/***************************************************************************/
	/* Setup Defaults for this theme for options which aren't set in this page */
	if(is_admin() && !get_option($obox_themeid."-defaults")) :


		update_option("ocmx_general_font_color_default",
						"#333");
		update_option("ocmx_navigation_font_color_default",
						"#777");
		update_option("ocmx_sub_navigation_font_color_default",
						"#333");
		update_option("ocmx_post_titles_font_color_default",
						"#333");
		update_option("ocmx_post_meta_font_color_default",
						"#999");
		update_option("ocmx_post_copy_font_color_default",
						"#333");
		update_option("ocmx_widget_titles_font_color_default",
						"#999");
		update_option("ocmx_widget_footer_titles_font_color_default",
						"#999");

		update_option("ocmx_general_font_size_default",
						"17");
		update_option("ocmx_navigation_font_size_default",
						"12");
		update_option("ocmx_sub_navigation_font_size_default",
						"12");
		update_option("ocmx_post_titles_font_size_default",
						"10");
		update_option("ocmx_post_meta_font_size_default",
						"13");
		update_option("ocmx_post_copy_font_size_default",
						"17");
		update_option("ocmx_widget_titles_font_size_default",
						"15");
		update_option("ocmx_widget_footer_titles_font_size_default",
						"15");
		update_option($obox_themeid."-defaults", 1);
	endif;
}
add_action ( 'init' , 'ocmx_theme_options' );