<?php
/* Template Name: Portfolio Paged
*/

get_header();
global $post;
$pages = $wp_query->max_num_pages;
$layout = get_post_meta($post->ID, "page_layout", true);
$header_gradient = get_post_meta( $post->ID , "header_gradient", true);
$title_shadow = get_post_meta( $post->ID , "post_text_shadow", true);
$show_excerpts = get_post_meta($post->ID, "excerpt_display", true);
$excerpt_length = get_post_meta($post->ID, "excerpt_length", true);
$orderby = get_post_meta($post->ID, "orderby", true);
$order = get_post_meta($post->ID, "order", true);

$args = array(
	"post_type" => "portfolio",
	"orderby" => $orderby,
	"order" => $order,
	"post_status" => "publish"
);

$portfolio = new WP_Query($args); ?>

<div class="title-container <?php if( 'yes' ==  $title_shadow ) echo 'has-text-shadow'; ?>">
	<div class="title <?php if( 'no' ==  $header_gradient ) echo 'no-gradient'; ?>">
		<h2 class="post-title typography-title"><?php the_title(); ?></h2>
		<?php if( $post->post_excerpt != ''  ) { echo '<h3 class="sub-title">' . get_the_excerpt() . '</h3>';} ?>
	</div>
	<?php get_template_part( 'functions/portfolio-categories' ); ?>
</div>

<ul class="<?php echo $layout; ?> post-list opacity_zero">
	<?php while ($portfolio->have_posts() ) : $portfolio->the_post();
		get_template_part("functions/portfolio-list"); ?>
	<?php endwhile; ?>
</ul>
<?php if (function_exists("obox_pagination")) {
    obox_pagination($portfolio->max_num_pages);
} ?>

<?php get_footer(); ?>