<?php
/* Template Name: Portfolio
*/

get_header();

while ( have_posts() ) : the_post();
    global $post;
    $pages = $wp_query->max_num_pages;
    $layout = get_post_meta($post->ID, "page_layout", true);
    $header_gradient = get_post_meta( $post->ID , "header_gradient", true);
    $title_shadow = get_post_meta( $post->ID , "post_text_shadow", true);
    $show_excerpts = get_post_meta($post->ID, "excerpt_display", true);
    $excerpt_length = get_post_meta($post->ID, "excerpt_length", true);
    $orderby = get_post_meta($post->ID, "orderby", true);
    $sort = get_post_meta($post->ID, "order", true);
    $paging = get_post_meta($post->ID, "portfolio_pagination", true);
endwhile;

if(isset($paging) && $paging == 'scroll') :

$args = array(
    'post_type' => 'portfolio',
    'orderby' => $order,
    'order' => $sort,
    'posts_per_page' => '-1',
    'post_status' => 'publish',
);

else :

$args = array(
    'post_type' => 'portfolio',
    'orderby' => $order,
    'order' => $sort,
	'paged' => get_query_var('paged'),
    'post_status' => 'publish',
);

endif;

$portfolio = new WP_Query($args); ?>

<div class="title-container <?php if( 'yes' ==  $title_shadow ) echo 'has-text-shadow'; ?>">
	<div class="title <?php if( 'no' ==  $header_gradient ) echo 'no-gradient'; ?>">
		<a href="#grid" class="scroll"><h2 class="post-title typography-title"><?php the_title(); ?></h2></a>
		<?php if( $post->post_excerpt != ''  ) { echo '<h3 class="sub-title">' . get_the_excerpt() . '</h3>';} ?>
	</div>
	<?php get_template_part( 'functions/portfolio-categories' ); ?>
</div>
<div class="grid-wrap">
    <ul id="grid" class="post-list grid swipe-down <?php echo $layout; ?>">
        <?php while ($portfolio->have_posts() ) : $portfolio->the_post();
            get_template_part("functions/portfolio-list"); ?>
        <?php endwhile; ?>
    </ul>
</div>
<?php if(function_exists("obox_pagination") && $paging != 'scroll') {
    obox_pagination($portfolio->max_num_pages);
} ?>

<?php get_footer(); ?>