jQuery.noConflict();

/*
TABLE OF CONTENTS:
-------------------------------------
1 - SIDEBAR
2 - HEADER HEIGHT ADJUSTER
3 - SCREEN HEIGHT ADJUSTER
4 - SCROLL ACTIONS
5 - NANO SCROLLER
6 - FITVID
7 - MASONRY
8 - INFINITE SCROLL
9 - BACK TO TOP
10 - SCREEN HEIGHT ADJUSTER FUNCTION
*/
var post_list;
jQuery(document).ready(function(){

	/*-----------------------------------------------*/
	/*- Setup screen target element according to browser --*/
	/*---------------------------------------------*/

	if(jQuery.browser.msie || jQuery.browser.mozilla)
		{Screen = jQuery("html");}
	else
		{Screen = jQuery("body");}


	/*--------------------------------------------*/
	/*- 1- SIDEBAR --------------------------------*/
	/*-------------------------------------------*/

	jQuery("#menu-drop-button").bind("click", function(e){
		jQuery(" #sidebar-container , #wrapper").toggleClass( 'open' );
		e.stopPropagation();
		return false;
	});

	jQuery( "#sidebar-container" ).bind("click", function(e){
		e.stopPropagation();
	});

	jQuery("body").bind("click", function(){
		if( jQuery( "#sidebar-container" ).hasClass("open") ){
			jQuery(" #sidebar-container , #wrapper").removeClass( 'open' );
		}
	});

	/*------------------------------------------*/
	/* 2 - HEADER HEIGHT ADJUSTER --------------*/
	/*------------------------------------------*/

	adjust_header_height(); // See functions below


	/*------------------------------------------*/
	/* 3 - SCREEN HEIGHT ADJUSTER --------------*/
	/*------------------------------------------*/

	jQuery('.has-title-background .title-container').css({ height: jQuery(window).height() - $headerheight });

	jQuery(window).resize(function(){
		jQuery('.has-title-background .title-container').css({ height: jQuery(window).height() - $headerheight });
	});

	/*--------------------*/
	/* 4 - SCROLL ACTIONS -*/
	/*-------------------*/

	if( undefined !== jQuery('.has-title-background .title').css('bottom') ) {
		$post_title_position = jQuery('.has-title-background .title').css('bottom').toString().replace("px", "");
	};

	jQuery(window).scroll(function(){

		var $screen_scrolled = Screen.scrollTop();

		if( jQuery('body').hasClass('single') || jQuery('body').hasClass('page') ) {
			if( $screen_scrolled > +jQuery(".title-container").scrollTop()+jQuery(".title-container").outerHeight() && jQuery(".logo small").not(':visible') ) {
				jQuery(".logo small").show();
				jQuery(".logo .tagline").hide();
			} else if( jQuery(".logo small").is(':visible') ) {
				jQuery(".logo small").hide();
				jQuery(".logo .tagline").show();
			}
		} else if( !( jQuery('body').hasClass( 'tax-portfolio-category' ) ) ) {
			$header_container = jQuery( '#header-container' );
			$copy_position = jQuery("#content-container").position();

			if( $screen_scrolled > +$copy_position.top ){
				$header_container.addClass( 'header-shrink' );
			} else {
				$header_container.removeClass( 'header-shrink' );
			}
		}
		$scroll_diff = ( $screen_scrolled / jQuery(".title-container").outerHeight() ) ;

	});

	jQuery( '.logo small' ).bind( "click" , function(e){
		e.preventDefault();
		Screen.animate({ scrollTop: 0, duration: 750 });
	})

	/*--------------------------------------------*/
	/*- 5 - NANO SCROLLER ------------------------*/
	/*-------------------------------------------*/

	jQuery( ".nano" ).nanoScroller({
		contentClass: 'sidebar-content',
		preventPageScrolling: 'true',

	});

	/*--------------------------------------------*/
	/*- 6 - FITVID ---------------------------------*/
	/*-------------------------------------------*/

	if( !jQuery('body').hasClass('home') ) {
		jQuery(".fitvid").fitVids();
	}

});

/*--------------------------------------------*/
/* 7 - MASONRY -------------------------------*/
/*-------------------------------------------*/

var masonry_active = true;

function applyLayout( $container ){

	if( undefined === $container ) {
		var $container = jQuery( '.post-list, .gallery-list' );
	}

    if( jQuery( window ).width() > 600 ) {
    	$container.masonry({
			itemSelector: '.post-list li.post, .gallery-list ul li',
			columnWidth: 0,
			gutter: 20
		});
		masonry_active = true;
	} else {
		if( masonry_active ){
			$container.masonry();
			$container.masonry( 'destroy' );
		}
		masonry_active = false;
	}

	jQuery( 'ul.post-list' ).css('opacity', 1.0);
}

jQuery(window).load(function(){
	if( undefined !== jQuery('.post-list, .gallery-list') ){
		jQuery( '.post-list li, .gallery-list li' ).imagesLoaded( function() { applyLayout(); } );
	} else if( undefined !== jQuery( '.post-list li, .gallery-list li' ) ) {
		jQuery( 'ul.post-list, .gallery-list ul li' ).css('opacity', 1.0);
		if( jQuery( window ).width() > 600 ) {
			jQuery( '.post-list li, .gallery-list li' ).imagesLoaded( function() { applyLayout(); } );
		}
	} else {
		jQuery( 'ul.post-list, .gallery-list ul' ).css('opacity', 1.0);
	}
});

jQuery(window).resize(function(){
	jQuery( '.post-list li.post, .gallery-list li' ).imagesLoaded( function() { applyLayout(); } );
	adjust_header_height();
})

/*----------------------------------------------*/
/* 8 - INFINITE SCROLL ---------------------------*/
/*---------------------------------------------*/
new GridScrollFx( document.getElementById( 'grid' ), {
	viewportFactor : 0.4
} );


/*- 9 - BACK TO TOP
--------------------------------------------*/
jQuery("#back-top").hide();

jQuery(window).scroll(function () {
	if (jQuery(this).scrollTop() > 300) {
		jQuery('#back-top').fadeIn();
	} else {
		jQuery('#back-top').fadeOut();
	}
});

// scroll body to 0px on click
jQuery('#back-top a').click(function () {
	jQuery('body,html').animate({
		scrollTop: 0
	}, 800);
	return false;
});
// scroll post title to content start
var hashTagActive = "";
jQuery(".scroll").click(function (event) {
	if(hashTagActive != this.hash) { //this will prevent if the user click several times the same link to freeze the scroll.
		event.preventDefault();
		//calculate destination place
		var dest = 0;
		if (jQuery(this.hash).offset().top > jQuery(document).height() - jQuery(window).height()) {
			dest = jQuery(document).height() - jQuery(window).height();
		} else {
			dest = jQuery(this.hash).offset().top;
		}

		dest = +dest-jQuery("#header-container").outerHeight();

		//go to destination
		jQuery('html,body').animate({
			scrollTop: dest
		}, 800, 'swing');
		hashTagActive = this.hash;
	}
});

/*- 10 - SCREEN HEIGHT ADJUSTER FUNCTION
--------------------------------------------*/
function adjust_header_height(){
	$headerheight = jQuery("#header-container").outerHeight();
	if( jQuery( window ).width() < 768 ) {
		jQuery(".single  .sidebar-content, .page .sidebar-content").css( { "paddingTop": $headerheight } );
	} else {
		jQuery(".single  .sidebar-content, .page .sidebar-content").css( { "paddingTop": 0 } );
	}
	jQuery(".single #content-container, .page #content-container").css( { "paddingTop": $headerheight } );
	jQuery("body.home #wrapper, body.archive  #wrapper").css( { "paddingTop": +$headerheight } );
}
