<?php get_header();
$parentpage = get_template_link("portfolio.php");
 if (have_posts()) :
	while (have_posts()) : the_post(); setup_postdata($post);
	global $post;
	$layout = get_post_meta($post->ID, "portfolio_layout", true);
	$client = get_post_meta($post->ID, "client", true);
	$website = get_post_meta($post->ID, "website", true);
	$terms = get_the_terms($post->ID, 'portfolio-category');
	$social = get_option("ocmx_meta_social_portfolio");
	$category = get_option( "ocmx_meta__portfolio_category" );
	$tags = get_option( "ocmx_meta_tags" );
	$portfolio_links = get_option( "ocmx_meta_portfolio_links" );
	$social_code = get_option( "ocmx_social_tag" );

// Featured post image
$args = array( 'postid' => $post->ID, 'width' => 1000, 'height' => 576, 'wrap' => 'div', 'wrap_class' => 'post-image fitvid', 'exclude_video' => false, 'resizer' => 'large' );
$image = get_obox_media( $args );

// Title Options

$header_gradient = get_post_meta( $post->ID , "header_gradient", true);
$title_shadow = get_post_meta( $post->ID , "post_text_shadow", true); ?>


<div class="title-container <?php if( 'yes' ==  $title_shadow ) echo 'has-text-shadow'; ?>">
	<div class="title <?php if( 'no' ==  $header_gradient ) echo 'no-gradient'; ?>">
		<a href="#post-content" class="scroll"><h2 class="post-title typography-title"><?php the_title(); ?></h2></a>
         <div class="portfolio-nav">
             <?php if(isset ($category) && !empty($terms)) :
                foreach($terms as $term) :
                    $term_link = get_term_link($term->slug, $term->taxonomy);
                    if(!is_wp_error($term_link)) : ?>
                        <a class="portfolio-category" href="<?php echo get_term_link($term->slug, $term->taxonomy); ?>"><?php echo $term->name; ?></a>
                    <?php endif;
                endforeach;
            endif; ?>
            <a href="<?php echo get_permalink($parentpage->ID); ?>" class="portfolio-return"><i class="fa fa-th fa-lg"></i></a>
		</div>
		<?php if( $post->post_excerpt != ''  ) { echo '<h3 class="sub-title">' . get_the_excerpt() . '</h3>';} ?>
	</div>
</div>
<div id="post-content" class="portfolio-container">
	<ul class="<?php echo $layout; ?> portfolio-content clearfix">
			<li id="left-column">
				<div <?php if($layout == 'sidebar-right-slider' || $layout == 'sidebar-left-slider' || $layout == 'full-width-slider'){ echo 'class="gallery-slider"'; } else { echo 'class="gallery-list"'; } ?>>
					<?php if(obox_has_video($post->ID)):
						echo $image;
					else : ?>
						<ul <?php if($layout == 'sidebar-right-slider' || $layout == 'sidebar-left-slider' || $layout == 'full-width-slider'){ echo 'class="gallery-container"';} else { echo 'id="grid" class="grid swipe-down gallery-container"';  } ?>>
							<?php $attach_args = array("post_type" => "attachment", "post_parent" => $post->ID, "numberposts" => "-1", "orderby" => "menu_order", "order" => "ASC");
							$attachments = get_posts($attach_args);
							foreach($attachments as $attachement => $this_attachment) :
								$image = wp_get_attachment_image_src($this_attachment->ID, "1000");
								$full = wp_get_attachment_image_src($this_attachment->ID,  "full"); ?>
								<li>
									<a href="<?php echo $full[0]; ?>" rel="lightbox">
										<img src="<?php echo $image[0]; ?>" alt="<?php echo $this_attachment->post_title; ?>" />
									</a>
								</li>
							<?php endforeach; ?>
						</ul>
						<?php if(count($attachments) > 1) : ?>
							<div class="controls">
								<a href="#" class="next"><i class="fa fa-chevron-right"></i></a>
								<a href="#" class="previous"><i class="fa fa-chevron-left"></i></a>
							</div>
						<?php endif; ?>
					<?php endif; ?>
				</div>

			</li><!--end #left-column -->

			<li id="right-column">
                <div class="copy clearfix">
                    <?php the_content(); ?>

                    <?php wp_link_pages( array(
                            'link_before'	=> '<span>',
                            'link_after'	=> '</span>',
                            'before'		=> '<p class="inner-post-pagination">' . __('<span>Pages:</span>', 'ocmx'),
                            'after'		=> '</p>'
                        )); ?>

				</div><!--End .copy -->
                <ul class="portfolio-meta clearfix">
                    <li class="share-buttons">
                        <?php if( isset( $social_code ) && $social_code !="" ) { ?>
                        <div class="social"><?php echo esc_attr( get_option("ocmx_social_tag") ); ?></div>
                        <?php } elseif( $social != "false" ) { // Show sharing if enabled in Theme Options
                            get_template_part( 'functions/sharing-buttons' );
                        } // Show sharing if enabled in Theme Options  ?>
                    </li>
                    <li class="portfolio-client">
                        <?php if($website !="" || $client !="") : ?>
                            <a target="_blank" class="portfolio-website" href="<?php echo $website; ?>" rel="nofollow">
                                <?php echo $client; ?>
                                <?php if($website !="") : ?>
                                    <i class="fa fa-external-link-square"></i>
                                <?php endif; ?>
                            </a>
                        <?php endif; ?>
                    </li>
                </ul>

				<?php if(isset( $tags ) && $tags !='false') {
                $tagterms = get_the_terms($post->ID, 'portfolio-tag');
                    if(!empty($tagterms)) : ?>
                        <ul class="portfolio-tags clearfix">
                        <?php foreach($tagterms as $tagterm) :
                            $tagterm_link = get_term_link($tagterm->slug, $tagterm->taxonomy);
                            if(!is_wp_error($tagterm_link)) : ?>
                                <li><a class="portfolio-category" href="<?php echo get_term_link($tagterm->slug, $tagterm->taxonomy); ?>"><?php echo $tagterm->name; ?></a></li>
                            <?php endif;
                        endforeach; ?>
                        </ul>
                <?php endif; }?>

			</li><!--End #right-column -->
		</ul><!--End .portfolio-content -->
         <?php if( $portfolio_links !="false" ) { ?>
        	<ul class="next-prev-post-nav">

                    <li>
                        <?php if ( get_adjacent_post( false, '', false ) ): // if there are newer posts ?>
                            <small><?php _e('Previous Post', 'ocmx'); ?></small>
                            <?php next_post_link("%link", "%title"); ?>
                        <?php else : ?>
                            &nbsp;
                        <?php endif; ?>
                    </li>
                    <li>
                        <?php if ( get_adjacent_post( false, '', true ) ): // if there are older posts ?>
                            <small><?php _e('Next Post', 'ocmx'); ?></small>
                            <?php previous_post_link("%link", "%title"); ?>
                        <?php else : ?>
                            &nbsp;
                        <?php endif; ?>
                    </li>
                </ul>
		<?php } //end link option ?>
	</div><!--End .copy-container -->
<?php endwhile; endif; ?>
<?php comments_template(); ?>
<?php get_footer(); ?>