<?php get_header();
$parentpage = get_template_link("portfolio.php");
$pages = $wp_query->max_num_pages;
$layout = get_post_meta($parentpage->ID, "page_layout", true);
$show_excerpts = get_post_meta($post->ID, "excerpt_display", true);
$excerpt_length = get_post_meta($post->ID, "excerpt_length", true);
$orderby = get_post_meta($parentpage->ID, "orderby", true);
$sort = get_post_meta($parentpage->ID, "order", true);
$activeterm = get_term_by( 'slug', get_query_var('term' ), get_query_var( 'taxonomy' ) );
global $paging;

if(isset($paging) && $paging == 'scroll') :

$args = array(
    'post_type' => 'portfolio',
    'orderby' => $order,
    'order' => $sort,
    'posts_per_page' => '-1',
    'post_status' => 'publish',
);

else :

$args = array(
    'post_type' => 'portfolio',
    'orderby' => $order,
    'order' => $sort,
	'paged' => get_query_var('paged'),
    'post_status' => 'publish',
);

endif;
// If we have set a category then add it to our query, otherwise load the cat list

$args[ 'tax_query' ] = array(
	array(
		'taxonomy' => 'portfolio-category',
		'field' => 'slug',
		'terms' => $activeterm->slug
	)
);

$portfolio = new WP_Query($args); ?>

<?php if ( !empty($activeterm) ) : ?>
	<div class="title-container">
		<div class="title">
			<h2 class="post-title typography-title"><?php single_cat_title(); ?></h2>
			<?php echo category_description(); ?>
		</div>
		<?php get_template_part( 'functions/portfolio-categories' ); ?>
	</div>
<?php endif; ?>

<div class="grid-wrap">
    <ul id="grid" class="post-list grid swipe-down <?php echo $layout; ?>">
        <?php while ($portfolio->have_posts() ) : $portfolio->the_post();
            get_template_part("functions/portfolio-list"); ?>
        <?php endwhile; ?>
    </ul>
</div>
<?php if(function_exists("obox_pagination") && $paging != 'scroll') {
    obox_pagination($portfolio->max_num_pages);
} ?>

<?php get_footer(); ?>